Subject: Re: [PATCH net-next 4/6] net: use netdev_queue_config() for mp restart

From: Jakub Kicinski <[email-masked]>
Date: Thu, 22 Jan 2026 17:41:19 -0800

On Thu, 22 Jan 2026 17:28:02 +0100 Dragos Tatulea wrote:
> > FWIW I think something that'd be a major usability win would be to make
> > MP presence imply per-queue HDS threshold of 0 automatically. So that'd
> > probably be first on my list of knobs to extend the "priority" model to.
>   
> You mean to set it to 0 during MP queue lifetime and then revert to
> previous value according to the above priority list. Right?

Exactly. threshold=0 and HDS=on when MP is attached (assuming driver
has the right capabilities in the queue ops struct).